org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxFinishRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.GridCacheIdMessage
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage
      - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest
        - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxFinishRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, IgniteTxStateAware, GridCacheVersionable, Message

    public class GridDhtTxFinishRequest
    extends GridDistributedTxFinishRequest

Near transaction finish request.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest

`CHECK_COMMITTED_FLAG_MASK, EXPLICIT_LOCK_FLAG_MASK, NEED_RETURN_VALUE_FLAG_MASK, STORE_ENABLED_FLAG_MASK, SYS_INVALIDATE_FLAG_MASK, WAIT_REMOTE_TX_FLAG_MASK`

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`ver`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheId`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtTxFinishRequest()` Empty constructor required for `Externalizable`.

`GridDhtTxFinishRequest(UUID nearNodeId, IgniteUuid futId, int miniId, AffinityTopologyVersion topVer, GridCacheVersion xidVer, GridCacheVersion commitVer, long threadId, TransactionIsolation isolation, boolean commit, boolean invalidate, boolean sys, byte plc, boolean sysInvalidate, CacheWriteSynchronizationMode syncMode, GridCacheVersion baseVer, Collection<GridCacheVersion> committedVers, Collection<GridCacheVersion> rolledbackVers, Collection<GridCacheVersion> pendingVers, int txSize, UUID subjId, int taskNameHash, boolean addDepInfo, boolean retVal, boolean waitRemoteTxs, MvccSnapshot mvccSnapshot, Collection<PartitionUpdateCountersMessage> updCntrs)`

`GridDhtTxFinishRequest(UUID nearNodeId, IgniteUuid futId, int miniId, AffinityTopologyVersion topVer, GridCacheVersion xidVer, GridCacheVersion commitVer, long threadId, TransactionIsolation isolation, boolean commit, boolean invalidate, boolean sys, byte plc, boolean sysInvalidate, CacheWriteSynchronizationMode syncMode, GridCacheVersion baseVer, Collection<GridCacheVersion> committedVers, Collection<GridCacheVersion> rolledbackVers, Collection<GridCacheVersion> pendingVers, int txSize, UUID subjId, int taskNameHash, boolean addDepInfo, Collection<Long> updateIdxs, boolean retVal, boolean waitRemoteTxs, MvccSnapshot mvccSnapshot, Collection<PartitionUpdateCountersMessage> updCntrs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkCommitted()`
`void` `checkCommitted(boolean checkCommitted)`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`TransactionIsolation` `isolation()`
`boolean` `isSystemInvalidate()`
`int` `miniId()`
`MvccSnapshot` `mvccSnapshot()`
`UUID` `nearNodeId()`
`boolean` `needReturnValue()`
`void` `needReturnValue(boolean retVal)`
`int` `partition()`
`GridLongList` `partUpdateCounters()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`Collection<PartitionUpdateCountersMessage>` `updateCounters()`
`boolean` `waitRemoteTransactions()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.
`GridCacheVersion` `writeVersion()`
`void` `writeVersion(GridCacheVersion writeVer)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishRequest

`baseVersion, commit, commitVersion, futureId, isFlag, isInvalidate, messageLogger, policy, replyRequired, setFlag, subjectId, syncMode, system, taskNameHash, threadId, topologyVersion, txSize, txState, txState`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`addDeploymentInfo, committedVersions, completedVersions, rolledbackVersions, version, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheGroupMessage, cacheId, cacheId, handlerId`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Constructor Detail

#### GridDhtTxFinishRequest

    public GridDhtTxFinishRequest()

Empty constructor required for `Externalizable`.

#### GridDhtTxFinishRequest

    public GridDhtTxFinishRequest(UUID nearNodeId,
                                  IgniteUuid futId,
                                  int miniId,
                                  @NotNull
                                  AffinityTopologyVersion topVer,
                                  GridCacheVersion xidVer,
                                  GridCacheVersion commitVer,
                                  long threadId,
                                  TransactionIsolation isolation,
                                  boolean commit,
                                  boolean invalidate,
                                  boolean sys,
                                  byte plc,
                                  boolean sysInvalidate,
                                  CacheWriteSynchronizationMode syncMode,
                                  GridCacheVersion baseVer,
                                  Collection<GridCacheVersion> committedVers,
                                  Collection<GridCacheVersion> rolledbackVers,
                                  Collection<GridCacheVersion> pendingVers,
                                  int txSize,
                                  @Nullable
                                  UUID subjId,
                                  int taskNameHash,
                                  boolean addDepInfo,
                                  boolean retVal,
                                  boolean waitRemoteTxs,
                                  MvccSnapshot mvccSnapshot,
                                  Collection<PartitionUpdateCountersMessage> updCntrs)

Parameters:
  `nearNodeId` - Near node ID.
  `futId` - Future ID.
  `miniId` - Mini future ID.
  `topVer` - Topology version.
  `xidVer` - Transaction ID.
  `threadId` - Thread ID.
  `commitVer` - Commit version.
  `isolation` - Transaction isolation.
  `commit` - Commit flag.
  `invalidate` - Invalidate flag.
  `sys` - System flag.
  `plc` - IO policy.
  `sysInvalidate` - System invalidation flag.
  `syncMode` - Write synchronization mode.
  `baseVer` - Base version.
  `committedVers` - Committed versions.
  `rolledbackVers` - Rolled back versions.
  `pendingVers` - Pending versions.
  `txSize` - Expected transaction size.
  `subjId` - Subject ID.
  `taskNameHash` - Task name hash.
  `addDepInfo` - Deployment info flag.
  `retVal` - Need return value
  `waitRemoteTxs` - Wait remote transactions flag
  `mvccSnapshot` - Mvcc snapshot.
  `updCntrs` - Update counters for mvcc Tx.

#### GridDhtTxFinishRequest

    public GridDhtTxFinishRequest(UUID nearNodeId,
                                  IgniteUuid futId,
                                  int miniId,
                                  @NotNull
                                  AffinityTopologyVersion topVer,
                                  GridCacheVersion xidVer,
                                  GridCacheVersion commitVer,
                                  long threadId,
                                  TransactionIsolation isolation,
                                  boolean commit,
                                  boolean invalidate,
                                  boolean sys,
                                  byte plc,
                                  boolean sysInvalidate,
                                  CacheWriteSynchronizationMode syncMode,
                                  GridCacheVersion baseVer,
                                  Collection<GridCacheVersion> committedVers,
                                  Collection<GridCacheVersion> rolledbackVers,
                                  Collection<GridCacheVersion> pendingVers,
                                  int txSize,
                                  @Nullable
                                  UUID subjId,
                                  int taskNameHash,
                                  boolean addDepInfo,
                                  Collection<Long> updateIdxs,
                                  boolean retVal,
                                  boolean waitRemoteTxs,
                                  MvccSnapshot mvccSnapshot,
                                  Collection<PartitionUpdateCountersMessage> updCntrs)

Parameters:
  `nearNodeId` - Near node ID.
  `futId` - Future ID.
  `miniId` - Mini future ID.
  `topVer` - Topology version.
  `xidVer` - Transaction ID.
  `threadId` - Thread ID.
  `commitVer` - Commit version.
  `isolation` - Transaction isolation.
  `commit` - Commit flag.
  `invalidate` - Invalidate flag.
  `sys` - System flag.
  `plc` - IO policy.
  `sysInvalidate` - System invalidation flag.
  `syncMode` - Write synchronization mode.
  `baseVer` - Base version.
  `committedVers` - Committed versions.
  `rolledbackVers` - Rolled back versions.
  `pendingVers` - Pending versions.
  `txSize` - Expected transaction size.
  `subjId` - Subject ID.
  `taskNameHash` - Task name hash.
  `updateIdxs` - Partition update idxs.
  `addDepInfo` - Deployment info flag.
  `retVal` - Need return value
  `waitRemoteTxs` - Wait remote transactions flag
  `mvccSnapshot` - Mvcc snapshot.
  `updCntrs` - Update counters for mvcc Tx.

### Method Detail

#### mvccSnapshot

    public MvccSnapshot mvccSnapshot()

Returns:
  Counter.

#### partUpdateCounters

    public GridLongList partUpdateCounters()

Returns:
  Partition update counters.

#### miniId

    public int miniId()

Returns:
  Mini ID.

#### isolation

    public TransactionIsolation isolation()

Returns:
  Transaction isolation.

#### nearNodeId

    public UUID nearNodeId()

Returns:
  Near node ID.

#### isSystemInvalidate

    public boolean isSystemInvalidate()

Returns:
  System invalidate flag.

#### writeVersion

    public GridCacheVersion writeVersion()

Returns:
  Write version for one-phase commit transactions.

#### writeVersion

    public void writeVersion(GridCacheVersion writeVer)

Parameters:
  `writeVer` - Write version for one-phase commit transactions.

#### checkCommitted

    public boolean checkCommitted()

Returns:
  Check committed flag.

#### checkCommitted

    public void checkCommitted(boolean checkCommitted)

Parameters:
  `checkCommitted` - Check committed flag.

#### waitRemoteTransactions

    public boolean waitRemoteTransactions()

Returns:
  `True`

#### needReturnValue

    public boolean needReturnValue()

Returns:
  Flag indicating whether transaction needs return value.

#### needReturnValue

    public void needReturnValue(boolean retVal)

Parameters:
  `retVal` - Need return value.

#### updateCounters

    public Collection<PartitionUpdateCountersMessage> updateCounters()

Returns:
  Partition counters update deferred until transaction commit.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDistributedTxFinishRequest`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDistributedTxFinishRequest`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridDistributedTxFinishRequest`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridDistributedTxFinishRequest`
Returns:
  Fields count.

#### partition

    public int partition()

Overrides:
  `partition` in class `GridCacheMessage`
Returns:
  Partition ID this message is targeted to or `-1` if it cannot be determined.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedTxFinishRequest`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019